<?
define('PROTECTOR', 1);

$headmod = 'search';//фикс. места

$textl='Персонаж';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
if(empty($_POST[nick])){
$nick=$_GET[nick];
}else{
$nick=$_POST[nick];}
$nick = htmlspecialchars(stripslashes($nick));

switch($_GET[go]) {

default:

echo "<form action=\"search.php?go=go\" method=\"post\">Введите ник:<br/>";
echo "<input name=\"nick\" maxlength=\"10\" title=\"nick\" emptyok=\"true\"/><br/>";
echo "<input type=\"submit\" value=\"Найти\" /></form>";

break;

case 'go':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!';
include($path.'files/down.php');exit;
}

$usdata = mysql_fetch_array($req);

if(!empty($usdata[clan])){
$req = mysql_query("SELECT `emblema` FROM `clan` WHERE `lider` = '$usdata[clan]'");
$wh = mysql_fetch_array($req);
if($usdata[lvl]>0 and $usdata[lvl]<5){
$stat="1.png'> Новичок";}
elseif($usdata[lvl]>=5 and $usdata[lvl]<10){
$stat="2.png'> Воин";}
elseif($usdata[lvl]>=10 and $usdata[lvl]<15){
$stat="3.png'> Рыцарь";}
elseif($usdata[lvl]>=15 and $usdata[lvl]<20){
$stat="4.png'> Неодолимый";}
elseif($usdata[lvl]>=20 and $usdata[lvl]<25){
$stat="5.png'> Легенда";}
elseif($usdata[lvl]>25 and $usdata[lvl]<1000){
$stat="6.png'> Титан";}
elseif($usdata[lvl]>1000){
$stat="7.png'> Бог";}
if(!empty($wh[emblema])){
echo"<i><img src='pic/i/$stat,$nick</i><img src=\"pic/clan/$wh[emblema]\" alt=\"clan\"/>";}else{
if($usdata[lvl]<5){
$stat2="1.png'> Новичок";}
elseif($usdata[lvl]>=5 and $usdata[lvl]<10){
$stat2="2.png'> Воин";}
elseif($usdata[lvl]>=10 and $usdata[lvl]<15){
$stat2="3.png'> Рыцарь";}
elseif($usdata[lvl]>=15 and $usdata[lvl]<20){
$stat2="4.png'> Неодолимый";}
elseif($usdata[lvl]>=20 and $usdata[lvl]<25){
$stat2="5.png'> Легенда";}
elseif($usdata[lvl]>25 and $usdata[lvl]<1000){
$stat2="6.png'> Титан";}
elseif($usdata[lvl]>1000){
$stat2="7.png'> Бог";}
echo"<i><img src='pic/i/$stat2,$nick</i>";
}
}else{
if($usdata[lvl]<5){
$stat1="1.png'> Новичок";}
elseif($usdata[lvl]>=5 and $usdata[lvl]<10){
$stat1="2.png'> Воин";}
elseif($usdata[lvl]>=10 and $usdata[lvl]<15){
$stat1="3.png'> Рыцарь";}
elseif($usdata[lvl]>=15 and $usdata[lvl]<20){
$stat1="4.png'> Неодолимый";}
elseif($usdata[lvl]>=20 and $usdata[lvl]<25){
$stat1="5.png'> Легенда";}
elseif($usdata[lvl]>25 and $usdata[lvl]<1000){
$stat1="6.png'> Титан";}
elseif($usdata[lvl]>1000){
$stat1="7.png'> Бог";}
echo"<i><img src='pic/i/$stat1,$nick</i>";}

echo"</br>";
if($usdata[rasa]=="human"){$ra="human";$rasa="Человек";}
if($usdata[rasa]=="elf"){$ra="elf";$rasa="Эльф";}
if($usdata[rasa]=="ork"){$ra="ork";$rasa="Орк";}
if($usdata[rasa]=="gnom"){$ra="gnom";$rasa="Гном";}
echo"Раса:<i> $rasa</i></br>";
if($usdata[klas]=="wizard"){$kl="m";$kln="Маг";}
if($usdata[klas]=="fighert"){$kl="f";$kln="Воин";}
if($usdata[storona]=="white"){echo" Светлый ";}
if($usdata[storona]=="black"){echo" Тёмный ";}
echo $kln;
echo",";

echo"$usdata[lvl] ур.";
if($usdata[pol]=="m"){echo" <img src='pic/m.png'>";}else{echo" <img src='pic/w.png'>";}
if(!empty($usdata[clan])){

$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$usdata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req);

echo"<br/><img src='pic/123/um.png'> <a href=\"clan.php?id=$clan[id]\">$clan[name]</a><br/>";}else{
echo"<br/> ";}
if($usdata[lvl]<5){
$st="NG.gif";}
elseif($usdata[lvl]>=5 and $usdata[lvl]<10){
$st="D.gif";}
elseif($usdata[lvl]>=10 and $usdata[lvl]<15){
$st="C.gif";}
elseif($usdata[lvl]>=15 and $usdata[lvl]<20){
$st="B.gif";}
elseif($usdata[lvl]>=20 and $usdata[lvl]<25){
$st="A.gif";}
elseif($usdata[lvl]>25 and $usdata[lvl]<1000){
$st="S.gif";}
elseif($usdata[lvl]>=1000 and $usdata[lvl]<2000){
$st="1.png";}
elseif($usdata[lvl]>=2000 and $usdata[lvl]<3000){
$st="2.png";}
elseif($usdata[lvl]>=3000 and $usdata[lvl]<4000){
$st="3.png";}
elseif($usdata[lvl]>=4000 and $usdata[lvl]<5000){
$st="4.png";}
elseif($usdata[lvl]>=5000 and $usdata[lvl]<6000){
$st="5.png";}
elseif($usdata[lvl]>=6000 and $usdata[lvl]<7000){
$st="6.png";}
elseif($usdata[lvl]>=7000 and $usdata[lvl]<8000){
$st="7.png";}
elseif($usdata[lvl]>=8000 and $usdata[lvl]<9000){
$st="8.png";}
elseif($usdata[lvl]>=9000 and $usdata[lvl]<10000){
$st="9.png";}
echo"</br><img src='pic/avatar/$ra/$kl/$usdata[pol]/$st'/><br/><br/>";
$req = mysql_query("SELECT * FROM `karma` WHERE `usr` = '$nick'");
$avto=mysql_num_rows($req);
echo'<i>Карма: </i>'.$avto.'<br/>';

$req = mysql_query("SELECT * FROM `karma` WHERE `usr` = '$nick' and `from`='$log' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==0 and $udata[lvl]>=3 and $log!=$nick){
echo"<img src=\"pic/up.png\"> <a href=\"karma.php?usr=$nick\">Увеличить карму</a><br/>";
}
echo"<img src='pic/123/red.png'> <i>ID:</i> $usdata[id]<br/>";
echo"<img src='pic/123/um.png'> <i>Пол: </i>";
if($usdata[pol]=="m"){echo"Парень<br/>";}else{echo"Девушка<br/>";}

echo"<img src='pic/main/general.png'> <i>Опыт:</i> $usdata[exp]<br/>";
echo"<img src='pic/hp.png'> <i>Жизни:</i> $usdata[hp]/$usdata[hpall]<br/>";
echo"<img src='pic/mp.png'> <i>Мана: </i>$usdata[mp]/$usdata[mpall]<br/>";


$req = mysql_query("SELECT id,name FROM `pit` WHERE `usr` = '$nick' and `status`='on'");
$avto=mysql_num_rows($req);
if($avto==1){
$pit = mysql_fetch_array($req);
echo"<img src='pic/main/pit.gif'> <i>Питомец: </i><a href=\"pit.php?id=$pit[id]\">$pit[name]</a><br/>";
}

$laikas = 150;
$dabar = time();
$timeout = $dabar - $laikas;

$asd = mysql_num_rows(mysql_query("SELECT laikas, usr FROM online WHERE laikas > '$timeout' AND usr='$nick'"));
////////////////////////////

if($asd==0){
echo"<img src='pic/main/sword.png'> <i>Статус: </i><img src='pic/123/off.png'> <font color='red'>Offline</font><br/>";
echo"<img src='pic/123/clock.png'> <i>Последнее посещение: </i>$usdata[lvisit]<br/>";
}else{
$reqs = mysql_query("SELECT * FROM `mesto` WHERE `usr` = '$nick' LIMIT 1");
$mesto = mysql_fetch_array($reqs);//место
if($mesto[city]==0){
echo"<img src='pic/main/home.png'> <i>Локация: </i>город<br/>";
}elseif($mesto[city]==1){
$reqs = mysql_query("SELECT name FROM `world` WHERE `x` = '$mesto[x]' and `y` = '$mesto[y]' and `city` = '$usdata[city]' LIMIT 1");
$wor = mysql_fetch_array($reqs);//место

echo"<img src='pic/main/home.png'> <i>Локация: </i>$wor[name](X:$mesto[x];Y:$mesto[y])<br/>";
}else{
echo"<img src='pic/main/home.png'> <i>Локация: </i>замок<br/>";
}
echo"<img src='pic/main/sword.png'> <i>Статус: </i><img src='pic/123/on.png'> <font color='#40ff40'>Online</font><br/>";
}
echo"<img src='pic/123/nap.png'> <i>Сила: </i>$usdata[sila]<br/>";
echo"<img src='pic/123/lovk.png'> <i>Ловкость:</i> $usdata[lovk]";echo'<br/>';
echo"<img src='pic/123/intel.png'> <i>Интелект:</i> $usdata[um]";echo'<br/>';
echo"<img src='pic/123/voor.png'> <i>Физ. Защита:</i> $usdata[prot]";echo'<br/>';
echo"<img src='pic/main/redball.gif'> <i>Крит-удар: </i>$usdata[krit]%";echo'<br/>';
echo"<img src='pic/main/redball.gif'> <i>Крит-урон:</i> $usdata[ukrit]%";echo'<br/>';
echo"<img src='pic/main/redball.gif'> <i>Анти-крит: </i>$usdata[antikrit]%";echo'<br/>';
echo"<img src='pic/main/sword_.png'> <i>Урон: </i>$usdata[umin]/$usdata[umax] +($usdata[sila])<br/>";

$pverh=$usdata[prot]+$usdata[pgolova];
$pcenter=$usdata[prot]+$usdata[pbody];
$pniz=$usdata[prot]+$usdata[pnogi];
echo"<img src='pic/123/um.png'> <i>Защ. головы: </i>$pverh<br/>";
echo"<img src='pic/123/voor.png'> <i>Защ. тулов.: </i>$pcenter<br/>";
echo"<img src='pic/123/voor.png'> <i>Защ. ног: </i>$pniz<br/><br/>";
echo"<img src=\"pic/123/nap.png\"> <a href=\"ok.php?k=pk&amp;id=$usdata[id]\">Напасть</a><br/>";
echo"<img src=\"pic/123/um.png\"> <a href=\"search.php?go=mag&amp;nick=$nick\">Умения</a><br/>";
echo"<img src=\"pic/123/stat.png\"> <a href=\"search.php?go=stats&amp;nick=$nick\">Статистика</a><br/>";
echo"<img src=\"pic/123/voor.png\"> <a href=\"search.php?go=shmot&amp;nick=$nick\">Вооружение</a><br/>";
echo"<img src=\"pic/123/pismo.png\"> <a href='msg.php?go_user=$nick&mod=wr'>Написать письмо</a><br/>";
if($udata[prava] >= 5)
{
echo "<div class='main'><img src=\"pic/123/ban.png\"> <a href=\"adm_panel.php?mod=10&amp;usr=$nick\">Забанить</a><br/><img src=\"pic/123/red.png\"> <a href=\"adm_panel.php?mod=23&id=$usdata[id]\">Редактировать</a></div>";
}

break;

case 'shmot':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
$usdata = mysql_fetch_array($req);
echo"<b>Снаряжение:</b><br/>";
$i=1;
while($i<=10){
switch($i){
case '1':
$tip='Оружие';
$gt='weapon';
break;
case '2':
$tip='Шлем';
$gt='golova';
break;
case '3':
$tip='Доспех';
$gt='body';
break;
case '4':
$tip='Плащ';
$gt='plash';
break;
case '5':
$tip='Рукавицы';
$gt='ruki';
break;
case '6':
$tip='Пояс';
$gt='poyas';
break;
case '7':
$tip='Сапоги';
$gt='nogi';
break;
case '8':
$tip='Щит';
$gt='shit';
break;
case '9':
$tip='Амулет';
$gt='amulet';
break;
case '10':
$tip='Кольцо';
$gt='kolco';
break;
}
if($gt!='kolco'){
echo"$tip: ";
$req = mysql_query("SELECT id,name FROM `item` WHERE `usr` = '$nick' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Пусто<br/>";
}else{
$mag = mysql_fetch_array($req);
echo"<b>$mag[name]</b><br/>";
}}else{
$req = mysql_query("SELECT id,name FROM `item` WHERE `usr` = '$nick' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Кольцо: Пусто<br/>";
echo"Кольцо: Пусто<br/>";
}elseif($avto==1){
$mag = mysql_fetch_array($req);
echo"Кольцо: <b>$mag[name]</b><br/>";
echo"Кольцо: Пусто<br/>";
}elseif($avto==2){
While($best = mysql_fetch_array($req))
{
echo"Кольцо: <b>$best[name]</b><br/>";
}
}
}
$i++;
}
echo"<a href=\"search.php?go=go&amp;nick=$nick\">Назад</a>";

break;

case 'stats':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
$usdata = mysql_fetch_array($req);
echo"<b>Статистика:</b><br/>
<b>СЛАВА: ".$usdata[slava]."</b><br/>
Предательства: $usdata[predatel]<br/>
Побед на арене: $usdata[arenawins]<br/>
Поражений на арене: $usdata[arenaloses]<br/>
Побед: ".$usdata[wins]."<br/>
Поражений: $usdata[loses]<br/>";
echo"<a href=\"search.php?go=go&amp;nick=$nick\">Назад</a>";

break;

case 'mag':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!';
include($path.'files/down.php');exit;
}

$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$nick'");
if(mysql_num_rows($req)>=1)
{
While($mag = mysql_fetch_array($req))
{
$maglvl=$mag[lvl]-1;
$magmp=explode("|",$mag[mp]);
$mag[mp]=$magmp[$maglvl];//мп

$maghp=explode("|",$mag[hp]);
$mag[hp]=$maghp[$maglvl];//хп

$maghp=explode("|",$mag[plushp]);
$mag[plushp]=$maghp[$maglvl];//+хп

$maghp=explode("|",$mag[uron]);
$mag[uron]=$maghp[$maglvl];//+урон
echo'<div class="event">';
echo"<b>$mag[name]:</b><br/>";
echo"Уровень: $mag[lvl]<br/>";
echo"Класс: ";
if($mag[klas]=="wizard"){echo"Маг<br/>";}
if($mag[klas]=="fighert"){echo"Воин<br/>";}
echo"Урон: $mag[uron]<br/>";
echo"Забирает маны: $mag[mp]<br/>";
echo"Забирает здоровья: $mag[hp]<br/>";
echo"Даёт здоровья: $mag[plushp]</div>";
}
}else{
echo '<b>Нет умений!</b>';
}
echo"<a href=\"search.php?go=go&amp;nick=$nick\">Назад</a>";

break;
}
include($path.'files/down.php');
?>
